WebSphereUserRegistry (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereUserRegistry interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereUserRegistry

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  WebSphereCustomUserRegistry, WebSphereLDAPUserRegistry

    public interface WebSphereUserRegistry

extends LogicalElement

SSL Settings for a WebSphere Global Security Settings

Naming Rules:
  0="parent,registryType"
Persistable:
  true
Table Name:
  WASUSERREG
Display Name:
  registryType

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getIgnoreCase()`
`int` | `getLimit()`
`WebSphereGlobalSecuritySettings` | `getParent()`
`java.lang.String` | `getRealm()`
`java.lang.String` | `getRegistryType()`
`java.lang.String` | `getServerId()`
`boolean` | `hasIgnoreCase()`
`boolean` | `hasLimit()`
`boolean` | `hasParent()`
`boolean` | `hasRealm()`
`boolean` | `hasRegistryType()`
`boolean` | `hasServerId()`
`void` | `setIgnoreCase(boolean ignoreCase)`
`void` | `setLimit(int limit)`
`void` | `setParent(WebSphereGlobalSecuritySettings parent)`
`void` | `setRealm(java.lang.String realm)`
`void` | `setRegistryType(java.lang.String registryType)`
`void` | `setServerId(java.lang.String serverId)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereGlobalSecuritySettings getParent()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="true"

### setParent

    void setParent(WebSphereGlobalSecuritySettings parent)

### hasParent

    boolean hasParent()

### getRegistryType

    java.lang.String getRegistryType()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRegistryType

    void setRegistryType(java.lang.String registryType)

### hasRegistryType

    boolean hasRegistryType()

### getServerId

    java.lang.String getServerId()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerId

    void setServerId(java.lang.String serverId)

### hasServerId

    boolean hasServerId()

### getRealm

    java.lang.String getRealm()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRealm

    void setRealm(java.lang.String realm)

### hasRealm

    boolean hasRealm()

### getLimit

    int getLimit()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLimit

    void setLimit(int limit)

### hasLimit

    boolean hasLimit()

### getIgnoreCase

    boolean getIgnoreCase()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIgnoreCase

    void setIgnoreCase(boolean ignoreCase)

### hasIgnoreCase

    boolean hasIgnoreCase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD